# Icarus Imeji Uploader Service

Imeji (for short) is a form of PHP image uploader system that you can use to host a simple image uploader service on your server. It utilizes the [dropzone.js](https://github.com/enyo/dropzone) library and also includes a basic POST uploader for clients incompatible with the aforementioned dropzone.js library.

This repository is used for development and project tracking of the code we use on our [live image uploader](https://imeji.yandols.xyz). However, you a free to download a copy of it for yourself and alter it to use within the limits of our [license](/LICENSE.md).

# Requirements

* A server running Apache *(or anything else really, should work fine as well.)*
* mod_rewrite for Apache
* PHP 7.1 or greater

That's about it.

# Configuration

You can configure parameters within `dropload.php` and `upload.php` to your liking, making them both have the same changes or have them function with different parameters respectively.

Don't forget to set up `.htaccess` to suit your server environment and also make sure to configure the path to your `.htpasswd` file. Ideally you would want the .htpasswd file itself outside of Imeji's working directory for safety.

Anything else such as the front-end design of pages is completely up to you to change. Be sure to change the paths of elements and assets in the `index.php` file and other related files too.

# Contributing

You can use our [issue tracker](https://dev.zxicar.us/YandolsZX/Icarus-Imeji/issues) to help report problems or suggest enhancements on the Imeji system. [Merge requests](https://dev.zxicar.us/YandolsZX/Icarus-Imeji/merge_requests) are also welcome.

# License

See the [LICENSE.md](/LICENSE.md) file.

# Third Party Code Attribution

* The Icarus Imeji Uploader Service uses the [dropzone.js](https://gitlab.com/meno/dropzone) library by Matias Meno. (MIT License)
* The front-end template uses the [Identity](https://html5up.net) template by ajlkn. (CCA 3.0 License)

